
Figure - 开发 Dev #110715
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101】
2022-07-25 17:11 - CD FW-王伟

Status: 完成 Closed Start date: 2022-09-29

Priority: Normal Due date: 2022-12-23

Assignee: CD FW-程天颖 % Done: 94%

Category: Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

■需求列表:

中控与副屏之间的连携控制：

主副屏联动接口feedback 

-> https://thundersoft.feishu.cn/sheets/shtcnPwA7kTXSx1MDZunmEb5sle

MCE-主副屏需求接口定义&联调计划_20220608.xlsx  

-> https://thundersoft.feishu.cn/file/boxcn2bXInLfPv1XW446a3XqKDe

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

通过接口，实现，中控与副屏的联动

4.1 功能描述及定义

4.1.1 通信方式

1. 采用socket方式连接，以短连接为主

2. 中控与副屏之间通信采用绑定地址与端口的方式(ip:port)，中控的地址为VLAN_04网段，端口号为9999

3. 中控与副屏，在启动完成之后，各自启动一个socket服务端监听对手件的消息

4. .中控与副屏之间通信需要有握手机制，以确定对端合法性，握手消息不加密

5. 中控与副屏的控制通信数据，需要加密，具体加密方式，待中控同步

4.1.2 首次激活

激活操作在中控侧进行，中控会下发激活指令给到副屏，具体功能需求如下：

1. 未激活状态：副屏不可使用，且播放由华人运通侧提供的动画资源，进行播放，动画格式为:MP4

2. 接收到激活信号后，副屏为激活状态，接收信号后，启动【开机引导】，开机引导文件由副屏设计，主要包含的内容如下：

1. 手势引导动画

2. 小窗操作动画，包含多任务界面的介绍

3. 屏保操作动画

4. 动画格式为MP4 张跃泷

3. 首次激活动画，在首次激活后，进行展示，展示结束后，进入launcher界面，后面再次启动副屏，无需激活动画展示

4. 激活动画展示完毕后，同步保存在设置中，可保存的位置路径为：设置-系统-手势说明（对原有手势部分进行改造）张跃泷

4.1.3 系统语言切换

1. 路径如下：中控通过以太网下发语言切换指令--->副屏接收指令--->副屏切换语言--->反馈结果

2. 语言范围：中文/英文

3. 副屏不支持自己本地单独切换语言

4.1.4 多屏联动
1. 服务范围：包括car show，沉浸模式，洗车模式

2. 实现方式：以APK的形式内置，在底层运行，并且调用时注册相关服务

4.1.5 hiphi play功能联动

1. 中控侧通过语音输入，获取用户是否要熄屏和唤醒屏幕的行为

2. 中控获取语音后，解析语音内容，然后通过以太网指令传送至副屏，副屏侧完成熄屏，和亮屏的操作

4.1.6 恢复出厂设置

1. 中控下发恢复出厂设置的指令，副屏接收后，只对数据进行删除

2. 清除范围：【删除data分区】

3. 副屏本身的恢复出厂设置功能保留

4.1.7 开机动画（For AF）

1. 在第一阶段开机logo 展示完毕后，进入第二阶段：开机动画，开机动画视频由客户侧提供

2. 开机动画的视频格式为MP4，时长约为30s

3. 在开机动画启动的同时，launcher需要完成启动，及launcher的启动需要在15s内完成

4. 开机动画完成后：

1. 待激活状态：launcher不可用，展示客户提供的待激活画面的动画，具体参考4.1.2

2. 已激活状态：进入launcher界面的首页，用户可正常使用

4.2 其他接口相关功能提示

音量调节，背光调节，深色模式，屏保同步，网络信号同步具体需求，请参考《launcher UI需求PRD》4.1.8章节

具体接口内容参考：副本MCE-主副屏需求接口定义&联调计划_20220923

具体PRD链接如下：

https://thundersoft.feishu.cn/docx/doxcnpJynqMqC5C5fLwWif6fewh

Subtasks:

开发 Dev # 112251: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 取消 Canceled

开发 Dev # 112252: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112253: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 取消 Canceled

开发 Dev # 112254: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112255: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112256: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112257: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112258: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112260: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 取消 Canceled

开发 Dev # 112261: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 取消 Canceled

开发 Dev # 112262: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 取消 Canceled

开发 Dev # 112264: 【MK】【019】【StatusBar】【TC-RID: 0301-0201801】副驾屏... New

开发 Dev # 112265: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 取消 Canceled

开发 Dev # 112267: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112287: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

开发 Dev # 112289: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 取消 Canceled

开发 Dev # 112528: 【MK】【FW】【InitialSetting】【TC-RID: 1201-0200701... 取消 Canceled

开发 Dev # 115370: 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-020... 完成 Closed

Related issues:

Related to Figure - 需求 Requirement # 112376: 【Locked需求】中控... 完成 Closed 2022-10-08 2022-10-28

History

#1 - 2022-07-25 19:42 - CD FW-王伟
- Assignee changed from CD FW-王伟 to CD- FW-石豪

#2 - 2022-08-04 19:44 - CD FW-王伟

- Subject changed from 【MK】【061】【VehicleDataControl】【TC-RID: 0301-0206101】 to 【MK】【061】【VehicleDataControl】【TC-RID: 1201-0206101

】

#3 - 2022-09-08 08:32 - CD FW-王伟

- Subject changed from 【MK】【061】【VehicleDataControl】【TC-RID: 1201-0206101】 to 【MK】【FW】【VehicleDataControl】【TC-RID: 1201-0206101

】

#4 - 2022-09-26 18:43 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_20221030

#5 - 2022-10-08 15:35 - CD FW-王伟

- Description updated

- Assignee changed from CD- FW-石豪 to CD FW-程天颖

#6 - 2022-12-13 11:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

169040 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Use Ethernet communicationTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I4c57afa47df423808823ce3d0ab2751ff1379d17

#7 - 2022-12-22 20:21 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

141102 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:MicroService: add original codeadd base codeTC-RID: 0301-0206101IssueID: TS-R-DF-110715Change-Id: I1f0048f7203fe7c28934960948a622ba6910ca55

#8 - 2022-12-22 20:23 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

142644 general/platform/build/soong Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:MircoService:Allow adding micro APIAn api package that allows adding micro servicesTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

If5c8a53f3cc5d5753aed74d850ebecd4a11c1462
#9 - 2022-12-22 20:23 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

142646 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:MircoService:Add MicroServiceManager1. Register the micro service and configure it to start at boot2. Integrate the microservice_release packageTC-RID:

1201-0206101IssueID: TS-R-DF-110715Change-Id: Ic2f25d6c55f56e07aea780364a947dfe48152402

#10 - 2022-12-22 20:27 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

145364 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:VehicleDataControl:add settings base codeTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: If1302b25ba20748e2c78f426436a318cb6182782

#11 - 2022-12-22 20:27 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

145406 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:MicroService: add original codeadd micro service selinux policyTC-RID: 0301-0206101IssueID: TS-R-DF-110715Change-Id:

I57faa0f04979ebc13fcfbec0f8914b3cee25bb5d

#12 - 2022-12-22 20:27 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

145677 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:MicroService:Replace NLog to SlogReplace NLog to SlogTC-RID: 0301-0206101IssueID: TS-R-DF-110715Change-Id:

Ib601bfaa2912a1c731fb1815f38a4161478d5b70

#13 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：
ID Project Branch Uploader

145679 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:MicroService:Replace NLog to TLogReplace NLog to TLogTC-RID: 0301-0206101IssueID: TS-R-DF-110715Change-Id:

I9ec2b1450396583aa55be4e2c04ce7a0cd598a50

#14 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

145744 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:modify package name string1.modify package name string "tc" to "thundersoft" TC-RID: 1201-0206101IssueID:

TS-R-DF-110715Change-Id: I4b35fd471a907bd92103be5610c0ea4c3495457d

#15 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

145753 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:GetBrightnessMode1.GetBrightnessMode is okTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I82820605054afdb01da774d33b0a865d382eab5c

#16 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

146474 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:get brightness1.get brightness valueTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I19f18120c72277b1d60bcf17471d2eebeb3727fd

#17 - 2022-12-22 20:28 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader
146931 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:fixed when shat down MicroSettings auto bringht is closed1.fixed when shat down MicroSettings auto bringht is closedTC-RID:

1201-0206101IssueID: TS-R-DF-110715Change-Id: I8688b19ed390da68217932a556e7fca9fd657a67

#18 - 2022-12-22 20:29 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147027 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:set night mode1.set night modeTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ib1fa4a509070739684fdc71c71101ef6f4d3373a

#19 - 2022-12-22 20:29 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147041 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

AF:VehicleDataControl:Delete no used codeDelete no used codeTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I07f2dbdcb12a1c0f7009e6d24ae329541d051c9a

#20 - 2022-12-22 20:30 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147981 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:VehicleDataControl:Repair permissions file formatTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I776b3752bbb67993d5b8fbfba16e396991f072aa

#21 - 2022-12-22 20:32 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

148601 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:MicroService: New MicroService use socket.TC-RID: 0301-0206101IssueID: TS-R-DF-110715Change-Id: Ib3c1f7a9997e3152e8e88a4a4abab40f639b0a96

#22 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149427 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Remove not use function and aidl file.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Id5503e3c984515d02f95ce73457fe47bc6b056a2

#23 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149846 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService framework base: New MicroService use socket.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I58d4a86825dd902e872f0f3c95d1b9058391b392

#24 - 2022-12-22 20:34 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150128 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Remove time sync func, update microservices.aar.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ic22db1a069c886027f8ce5a07ed591debf82a482

#25 - 2022-12-22 20:34 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150131 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService framework base: Add const value, modify method name.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I55d52ef36289f4d3db6713f76e3c88292c0cd885

2025-07-04 7/38



#26 - 2022-12-22 20:34 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150132 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Complete demo, add report operation support.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

If04c5413c63a6f5554ff005e4f6fc2c547962be3

#27 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150374 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Modify application config.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ic0387787f58b224d95586938cdd2704626f1f805

#28 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150385 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Modify application config, Add compile project MicroSettings.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Iad78d1f870b8b29c2ec6deff65cdcce82da14801

#29 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150473 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Add SoundManager, Add multimedia callback.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Iebd6dfe846309ecebc0957fef54f9b3422103ec1

#30 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150474 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:MicroService: Add multimedia callback, add FSEM to IDCM request support.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I57ff34de49c1225b1891082ac74973135699376a

#31 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150604 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService framework base: Add multimedia callback, add FSEM to IDCM request support.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

If54cdace8c8966b5f79f7f96edda0b976e7918c6

#32 - 2022-12-22 20:35 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150733 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Start sub module services.1. Start sub module services;2. Remove app demo const value, and use const value of microservice project;3. Remove

microservice launch icon from Launcher;TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ib6941f6e10257e8fd0e898b07bb003d1878d84d4

#33 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151098 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Add audio volume action method.1. Add audio volume action method;2. Add ITCMicroCommonCallback aidl;TC-RID:

1201-0206101IssueID: TS-R-DF-110715Change-Id: I198ddfa118d34fdd40a6acf0691022a2ab483059

#34 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151100 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:MicroService framework base: Add audio volume action method.1. Add audio volume action method;2. Add ITCMicroCommonCallback aidl;TC-RID:

1201-0206101IssueID: TS-R-DF-110715Change-Id: I4a50e2272f21e1e52b52773a50677a45b81c18a6

#35 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151190 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Add Audio about interface methode1.Add Audio about interface methodeTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I998288eab93441d653748e8e62e3a51ac4906783

#36 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151301 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Opt MicroServiceManager bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ia5618f6feed47eab91a0339cd9a2cae18ecb167a

#37 - 2022-12-22 20:36 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151555 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService framework base: Opt MicroServiceManager bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ifbe14d407fc7abfea297f1400de8fcbeb2e8a815

#38 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151914 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Opt MicroServiceManager bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I779b3aa391c808fd51f58d478ce7f4c2e874b71f
#39 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153888 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Fit interface to new.1. Modify interface name and parameters;2. Remove special callback, change common callback;3. Fit demo to new

structure;TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ic322ccf8dd5497afe9229847fd7179bbedd2617b

#40 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153889 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Fit interface to new.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I1f5e7ad88a05b4a4902fd3fbc150754958e85a05

#41 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154132 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:move parsing parameters from MircoService to MicroSettings1.move parsing parameters from MircoService to MicroSettingsTC-RID:

1201-0206101IssueID: TS-R-DF-110715Change-Id: I734ac14e9349ae022d9e18ee65b712afeb2db7ad

#42 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154391 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Wash car mode and set volume1.into Wash car Mode2.set volume level and muteTC-RID: 1201-0206101IssueID:

TS-R-DF-110715Change-Id: I0acd130d9838cae6e62849b51e49446e37b12464
#43 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154467 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Allow Wash Car Mode use "gesture_enable" 1.Allow Wash Car Mode use "gesture_enable" TC-RID: 1201-0206101IssueID:

TS-R-DF-110715Change-Id: I11cf4f39c8eb521fdb701431e54fb9670c8a5202

#44 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154605 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Sync dark mode switch1.when Sync dark mode switch off, can change dark mode2.Modify some object nameingTC-RID:

1201-0206101IssueID: TS-R-DF-110715Change-Id: I4ee350da7dc4f8e6691f0b524ec00e75ac7c92a4

#45 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154682 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:set brightness and sync net status1.set brightness level and mode2.sync net status3.catch set volume exceptionTC-RID:

1201-0206101IssueID: TS-R-DF-110715Change-Id: I808ddbc8043f75e0e4ba4df3463b030df5091bc8

#46 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159982 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Modify socket message structure.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I99a71b53e13f1ad9d4664e3612088b5cf923fff7
#47 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160248 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:MicroService:add micro service selinux policyTC-RID: 0301-0206101IssueID: TS-R-DF-110715Change-Id: Id944f745ef80029255c082c9ca1594ea157e7595

#48 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160252 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Combine handshake operation.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I82a7e8d1988bba6c321a4a1929491053bd3bff47

#49 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161166 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Audio intermodulation1.Modify the JSON parsing2.Block sound settingsTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I7beb24e038d5fab08c67b0f794d8b049f7dd6369

#50 - 2022-12-22 20:53 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

163196 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Handle startup message from ICDM.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I8a681ce9acb16f5b43cb6bd0bf7a59cb84b9acb8

#51 - 2023-02-03 16:03 - CD FW-程天颖

在中控给副屏发送指令过后，子模块没有回复中控，服务端会回复无结果消息，中控那边不希望收到该信消息，需要把消息发送改为log提示
#52 - 2023-02-07 20:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179275 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Remove RESULT_NOT_SUPPORT message1.when have no respense,dont response message to central controlTC-RID: 1201-0206101IssueID:

TS-R-DF-110715Change-Id: Iaa5e2eddff09081f41aecc58ca75d5d2c2d5c10b

#53 - 2023-02-17 18:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181953 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Connect Test Change1.reconstitution2.Modify the intermodulation interfaceTC-RID: 1201-0206101IssueID:

TS-R-DF-110715Change-Id: If306b00f6d28576c67b9c4a311a73230902eab8c

#54 - 2023-02-17 18:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182577 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl: Clearn Car Mode add VC1 screenTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I9b901369e4a5c9f9c918223ecbc57c9104a5f80d

#55 - 2023-02-24 19:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183870 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Increase handshake failure round robinTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I41d5ca57a0a739b86e2fccf904a1db9f6f2486ff

#56 - 2023-02-27 18:41 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

184482 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Modify handshake retry interval timeTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I3377ffeab949b911aa7cfeaeabfa5838ab936eb4

#57 - 2023-03-02 15:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182912 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettongs: Crop don`t need fileTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I1c39d439a7a009673e6c468b7b53e5975469b2c8

#58 - 2023-03-02 17:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185420 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettongs: Remove aidl from android.bpTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I0c55311dd11041897d5d27f495e0f40d487dbc03

#59 - 2023-03-02 19:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185258 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Factory reset Method name modifyTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I69bc03dc00eb388d449bf4c97f225204f5cad4eb

#60 - 2023-03-08 14:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185957 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Modify handshake retry interval timeTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I0fd4f2476a09f4fd7ed72810f929d5a75c2af9fc
#61 - 2023-03-14 20:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187434 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Add Send Message LogTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I83fc631d2324392b26a279fe03bfa00cc7bd683e

#62 - 2023-03-23 20:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188634 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Time 24_12 mode sync and maping timezoneTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ie425630f3eb918cb4f678820cf7bfb7cb650d261

#63 - 2023-03-31 10:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186848 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettongs: Tbox and wifi status syncTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I50d9b38626974419e25e7443d60a4d1266c7c58c

#64 - 2023-04-18 19:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193522 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:When device start, init the time as last saveTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I953971faef81925764035451152acc6c2d2807c1

#65 - 2023-04-21 09:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194962 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com
AF:MicroService:When microservice restart have no callbackTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I56ecd4244b9a70631b946f6404710655b8b2055d

#66 - 2023-04-21 10:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195079 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Net change, Screen on/off1.Change wifi and tbox net2.Screen DisplayTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ib18d60cec8a7a1d6f4f3cb0226505909572ea2fc

#67 - 2023-04-24 11:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194701 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Add heartbeat and simplify logTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I2b742ca133c544bc7d23c6b18dbcb088c87e0c0f

#68 - 2023-05-09 20:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198464 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:VehicleDataControl:Change the order of Net SwitchTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I41cac114418fa8646e11c78996139221a555240a

#69 - 2023-06-14 15:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207114 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettings: When start init netTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I9fa7a773c6eae24591ab9b261cc814ce7e3bfc65
#70 - 2023-06-14 15:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207158 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: When start init netTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I9fa7a773c6eae24591ab9b261cc814ce7e3bfc65(cherry picked

from commit 193a73725358fc6220a2f1ef6c736d7c6fa5ce4f)

#71 - 2023-06-15 20:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207821 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

Revert AF:MicroSettings: When start init netTC-RID: 1201-0206101IssueID: TS-R-DF-110715This reverts commit

e9fd5d14e978521f2879754f3bc06785a2f90312.Reason for revert: <Cannot access network>Change-Id: I6c763ef66a2c6c1b64ecafa43531e458026c94c7

#72 - 2023-06-15 22:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207855 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Use thread pool to manager threads.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I27fd44e0a9e7f2ee8381499b90ece3c79b391a93

#73 - 2023-06-15 22:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207831 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Use thread pool to manager threads.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I27fd44e0a9e7f2ee8381499b90ece3c79b391a93

#74 - 2023-06-16 15:27 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

207915 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:VehicleDataControl: Use thread pool to manager threads.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I02dcc99c0e00bd4397f8263e6d79840e3359671d

#75 - 2023-06-16 15:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208000 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:VehicleDataControl: Use thread pool to manager threads.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I02dcc99c0e00bd4397f8263e6d79840e3359671d

#76 - 2023-06-16 15:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208005 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Optimize thread pool.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I11399cc05ec1f4c7403b7bf56ec2e3f455fce26f

#77 - 2023-06-16 15:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207916 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Optimize thread pool.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I11399cc05ec1f4c7403b7bf56ec2e3f455fce26f

#78 - 2023-06-16 16:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207919 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com
Revert AF:MicroSettings: When start init netTC-RID: 1201-0206101IssueID: TS-R-DF-110715This reverts commit

193a73725358fc6220a2f1ef6c736d7c6fa5ce4f.Reason for revert: <Cannot access network>Change-Id: Ida4c20de8c0324f4a57db8e97807549b83da5459

#79 - 2023-06-20 16:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208641 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Add ap info sync and connect function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ie5526d377e78582351588898bfb7e419a8e7326f

#80 - 2023-06-20 19:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208738 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Init SerialNo text for Lebo license.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I309a4579ba104269be06d9bba274e167e3e7577d

#81 - 2023-06-24 15:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209400 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

Iabe4e784e658eb0fb81885be2c8c0f5e816641aa

#82 - 2023-06-24 15:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209397 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Optimize sub module bind logical.MicroService send handshake requet after MicroSettings and AudioService module binded.TC-RID:

1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id: Ib29485cc02450eaa77ddf300e3150eb03d74d541
#83 - 2023-06-24 15:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209398 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

I660c208de1b542de73170bfa66a10358cc93e21e

#84 - 2023-06-24 15:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209396 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

I0016a71493dea19ccc1f513acc78a2c92c79a785

#85 - 2023-06-24 15:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209399 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

I96514f33eabff59712f25257df500249305e10c2

#86 - 2023-06-25 20:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209620 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Remove audio module ready check.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

Ia7a8ef8e5076663793f622c20c8cf9cb210ae7ad

#87 - 2023-06-25 21:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209663 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04 21/38



AF:MicroSettings: Add ap info sync and connect function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ie5526d377e78582351588898bfb7e419a8e7326f(cherry picked from commit 2de6f370c51eed3b6c458e082c016131d3952253)

#88 - 2023-06-25 21:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209665 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Init SerialNo text for Lebo license.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I309a4579ba104269be06d9bba274e167e3e7577d(cherry picked from commit 9512239ea73cb2d1b8363404e32013e80de441f6)

#89 - 2023-06-25 21:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209673 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

Iabe4e784e658eb0fb81885be2c8c0f5e816641aa(cherry picked from commit 0b5ca5a4bd569cc6a922a3517b3e4507fe1b8dd9)

#90 - 2023-06-25 21:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209674 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Optimize sub module bind logical.MicroService send handshake requet after MicroSettings and AudioService module binded.TC-RID:

1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id: Ib29485cc02450eaa77ddf300e3150eb03d74d541(cherry picked from commit

aec75800fa005f7d710209c8c230acb178aac81f)

#91 - 2023-06-25 21:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209675 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04 22/38



AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

I660c208de1b542de73170bfa66a10358cc93e21e(cherry picked from commit c7e07e54254c4c2505c9c01eacfef7f02e52f6f1)

#92 - 2023-06-25 21:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209676 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

I0016a71493dea19ccc1f513acc78a2c92c79a785(cherry picked from commit cd473289264ff5e6034fd1aff2874dbd944311c9)

#93 - 2023-06-25 21:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209677 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Optimize sub module bind logical.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

I96514f33eabff59712f25257df500249305e10c2(cherry picked from commit 5967f3053285d2be8b933e872756c766dce771ef)

#94 - 2023-06-25 21:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209686 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Remove audio module ready check.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-35659Change-Id:

Ia7a8ef8e5076663793f622c20c8cf9cb210ae7ad(cherry picked from commit ea0d1ec9531b3c99ee3ca1c9ab53ff8add3d67f9)

#95 - 2023-06-30 11:11 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211443 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

2025-07-04 23/38



AF:MicroService: Optimize send hand shark message when receive startup message.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ia07d31b14d191c1d7f9936c255750b4820201d4d

#96 - 2023-06-30 11:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211466 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF: ScreenSaver: Replace system screensaver resources and change the default screensaver.TC-RID: 0301-0300603IssueID: TS-R-DF-110715Change-Id:

I4d73ebef04838a541a5b406326f2299a59147094

#97 - 2023-06-30 16:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211565 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Optimize send hand shark message when receive startup message.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ia07d31b14d191c1d7f9936c255750b4820201d4d(cherry picked from commit 0550a49a4f98cb628ab235cff49ac6b5c3a2856d)

#98 - 2023-06-30 16:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211567 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF: ScreenSaver: Replace system screensaver resources and change the default screensaver.TC-RID: 0301-0300603IssueID: TS-R-DF-110715Change-Id:

I4d73ebef04838a541a5b406326f2299a59147094(cherry picked from commit 8d9baf5472f41c60b1a08dfe43caf42c458c4c5f)

#99 - 2023-07-05 19:38 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212499 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Optimize status bar icon set.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I2db6b71372c2a4ea3a86762ba855d27e1243a2d7
#100 - 2023-07-06 11:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211604 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Add brightness level update function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-33499Change-Id:

I4ad43063c1993759aec8169e12fba1d3cc07210b

#101 - 2023-07-06 19:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212795 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Optimize status bar icon set.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I2db6b71372c2a4ea3a86762ba855d27e1243a2d7(cherry picked from commit a4cb8f13d1513865ed8f0dd262a8c0ed77c3e7ca)

#102 - 2023-07-07 16:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212980 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Don't set prop when sys.network.wifi is not changed.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I8ce955fd6d5c7dae2de004963e1744f13c79d52f

#103 - 2023-07-07 16:21 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213134 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Don't set prop when sys.network.wifi is not changed.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I8ce955fd6d5c7dae2de004963e1744f13c79d52f

#104 - 2023-07-10 10:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213373 general/platform/vendor/thundercom

2025-07-04 25/38
m/apps/VehicleControl -dev

AF:MicroSettings: Set default net and wifi statusbar icon when init.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I9a1c2445336aabf8ced87dd5a9e27d83115bfda6

#105 - 2023-07-10 17:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213601 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Add brightness level update function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-33499Change-Id:

I4ad43063c1993759aec8169e12fba1d3cc07210b(cherry picked from commit 5fcbc0a7c8bdb981e9d708fd4c85065624a0d579)

#106 - 2023-07-11 20:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214033 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Request WifiInfo when init.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I28d6a38f893bbcd51a9163870f5a699b653eb18b

#107 - 2023-07-11 21:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213993 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Set default net and wifi statusbar icon when init.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I9a1c2445336aabf8ced87dd5a9e27d83115bfda6(cherry picked from commit d027fcc37579aac7fdfd0ca8aab638dd8e8a338a)

#108 - 2023-07-13 21:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214744 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

2025-07-04 26/38



AF:MicroSettings: Request WifiInfo when init.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I28d6a38f893bbcd51a9163870f5a699b653eb18b(cherry picked from commit f70c973eca68b16a1615416f9d9599ea1f043788)

#109 - 2023-07-27 20:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212485 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Optimize time set action.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I99ead5ff0c1d6c8304711e009892829852ece59b

#110 - 2023-07-27 23:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218314 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Optimize time set action.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I99ead5ff0c1d6c8304711e009892829852ece59b(cherry

picked from commit 158a1d5a5f0dc8d9eb1cb53edd4278f98940daf3)

#111 - 2023-08-01 10:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218963 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettings: Fixed 5g icon.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I4541e81827822cc47baa8a9f65a5f482952d896e

#112 - 2023-08-01 21:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216142 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Add WifiInfo dns prop function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ia40b1e748b07bff6fc5bc7637be34bd9f0d6272e

#113 - 2023-08-02 09:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

2025-07-04 27/38



219124 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettings: When screen on, brightness level update.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-37912Change-Id:

I48fb04dd145bb92729af278d8156ea9c37afa4d4

#114 - 2023-08-04 10:07 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300120 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Fixed 5g icon.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I4541e81827822cc47baa8a9f65a5f482952d896e(cherry picked from

commit 03ac653febc907e5705cdaf6d36e079d1579c6e3)

#115 - 2023-08-04 10:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300131 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: When screen on, brightness level update.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-37912Change-Id:

I48fb04dd145bb92729af278d8156ea9c37afa4d4(cherry picked from commit d3a5045015a9f19be4e478c28920507cf551c80b)

#116 - 2023-08-04 14:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212271 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Encrypt message content.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ie73298cb5cf2da081f65db33dda65beca230e2a1

#117 - 2023-08-04 17:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300478 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

2025-07-04 28/38



AF:MicroSettings: Add wifi default dns value and modify tbox dns value.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I157f99ce9c9327de92a11e4821182f02950e19b9

#118 - 2023-08-09 13:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

300959 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettings: Standard Time Synchronization InterfaceTC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-37255Change-Id:

I0d47deec48e85c7222f02f3aad875e4d2018c87e

#119 - 2023-08-10 20:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302368 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Add WifiInfo dns prop function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Ia40b1e748b07bff6fc5bc7637be34bd9f0d6272e(cherry picked from commit ae5467487894e572a2321f300a9308e5aed39a0d)

#120 - 2023-08-10 20:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302379 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Encrypt message content.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ie73298cb5cf2da081f65db33dda65beca230e2a1(cherry

picked from commit 53031c916eb423dbaaa7253420fad7e87291718b)

#121 - 2023-08-10 20:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302384 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Add wifi default dns value and modify tbox dns value.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I157f99ce9c9327de92a11e4821182f02950e19b9(cherry picked from commit f35ea38d03a234d2217a78ad06cb0a61574cf0a5)
#122 - 2023-08-10 20:52 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302428 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Standard Time Synchronization InterfaceTC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-37255Change-Id:

I0d47deec48e85c7222f02f3aad875e4d2018c87e(cherry picked from commit ac8977ada9d28388be263f5c35cc1233a6400b7a)

#123 - 2023-08-14 15:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302514 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettings: Request Actavete StatusTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ib0e6985cedcd7681be57b55869af8dc1dec38df4

#124 - 2023-08-14 18:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303210 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Request Actavete StatusTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Ib0e6985cedcd7681be57b55869af8dc1dec38df4(cherry

picked from commit 65c01a94a58e2cbd90dc4d450f529856399dc3ee)

#125 - 2023-08-16 19:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303494 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettings: Change get activate status logicTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I3e25d47598b01ccbc4c4db08900c6d30fe97071a

#126 - 2023-08-17 19:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

304162 general/platform/vendor/thundercom
m/apps/VehicleControl -release_sorp

AF:MicroSettings: Change get activate status logicTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

I3e25d47598b01ccbc4c4db08900c6d30fe97071a(cherry picked from commit 02c681744e4dd0e9aba3f8a7f71aae047610b8ef)

#127 - 2023-08-22 18:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

305500 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MicroSettings: Delete wifi icon and tbox icon.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: If1c3991a59bef24995f519187e9730a8d4b38ddb

#128 - 2023-08-22 18:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

305335 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Delete wifi icon and tbox icon.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

If1c3991a59bef24995f519187e9730a8d4b38ddb(cherry picked from commit ea11e364434e77bf009a79c973db8dded96ccdd4)

#129 - 2023-08-23 12:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

305632 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MicroSettings: Delete wifi icon and tbox icon.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: Iddf6baa4c174394f044e7bff900133c204be6241

#130 - 2023-08-23 12:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

305646 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
AF:MicroSettings: Delete wifi icon and tbox icon.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Iddf6baa4c174394f044e7bff900133c204be6241(cherry picked from commit 3fcef89f558db5bcafbcb34d63de5ee762f58351)

#131 - 2023-09-06 14:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

310168 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Fix message encrypt status problem.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-40704Change-Id:

Iebb8b311fac0aa86449950ecdc1d572d2439b37a

#132 - 2023-10-07 11:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317144 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Fix message encrypt status problem.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-40704Change-Id:

Iebb8b311fac0aa86449950ecdc1d572d2439b37a(cherry picked from commit a89ddb7840043ff1332aa41b40ca27a922880710)

#133 - 2023-10-09 11:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317637 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroService: Fix message encrypt PKCS7Padding problem.Use custom padding implement.TC-RID: 1201-0206101IssueID: TS-R-DF-110715,

PVC1-3486Change-Id: I339ed670d5bbe578ea5250b85f3b7ffbb1e97f8b

#134 - 2023-10-12 22:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

319115 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroService: Fix message encrypt PKCS7Padding problem.Use custom padding implement.TC-RID: 1201-0206101IssueID: TS-R-DF-110715,
PVC1-3486Change-Id: I339ed670d5bbe578ea5250b85f3b7ffbb1e97f8b(cherry picked from commit f783fdaa616908719e3a9eba67cc3ecaaf37edc9)

#135 - 2023-10-17 10:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

320018 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MicroSettings: Optimize the time and frequency of hotspot connections.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-46044Change-Id:

I11d37231534732ec776e9bca1979ba71fd7ca791

#136 - 2023-10-19 16:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

320464 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroSettings:Disable time recordTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I24caff85b906535aa0763af2832d7b815cd71fa7

#137 - 2023-10-25 11:14 - CD FW-程天颖

- Status changed from New to 完成 Closed

#138 - 2023-10-27 01:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323297 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Optimize the time and frequency of hotspot connections.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-46044Change-Id:

I11d37231534732ec776e9bca1979ba71fd7ca791(cherry picked from commit f02ff9d8fcf5e627ecea28c679d46dd01a4fd0b2)

#139 - 2023-10-27 01:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

323314 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings:Disable time recordTC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id: I24caff85b906535aa0763af2832d7b815cd71fa7(cherry picked

from commit 3104880401ed577b400cfb78a19573b2f78a3e7e)
#140 - 2023-11-08 18:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

326674 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:ScreenSaver:replace system screensaver picture for MCETC-RID: 1201-0300603IssueID: TS-R-DF-110715Change-Id:

I26012cc0e7a75ce8cd3fbcfd658fd2129c3dbdfe

#141 - 2023-11-08 22:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

326552 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:replace system screensaver picture for MCETC-RID: 1201-0300603IssueID: TS-R-DF-110715Change-Id:

I26012cc0e7a75ce8cd3fbcfd658fd2129c3dbdfe(cherry picked from commit 080502e9b99d98e6631633ccd4ced8867f5af0d9)

#142 - 2023-11-20 11:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

325748 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Add IDCM mac address disable function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Icd985564e531afbfdaddc622bfc17537cc173146

#143 - 2023-11-20 13:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

329433 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Add IDCM mac address disable function.TC-RID: 1201-0206101IssueID: TS-R-DF-110715Change-Id:

Icd985564e531afbfdaddc622bfc17537cc173146(cherry picked from commit 60cfa9415bc50214da31cd1df166517e835ff653)

#144 - 2023-11-20 14:53 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

329387 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Fix not update time display problem after time set.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, QMV-1016Change-Id:

Ib91d60872e095dcb103549ce430c78dc92440bd9

#145 - 2023-11-23 20:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

330683 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Fix not update time display problem after time set.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, QMV-1016Change-Id:

Ib91d60872e095dcb103549ce430c78dc92440bd9(cherry picked from commit 825b245a115f791f28f262aa14f95bd76dc590b2)

#146 - 2023-12-18 15:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

336803 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Fix screen display status set failed problem.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-51121Change-Id:

If94cbff46177fcdc6770e9117e823eaa0e1d83ab

#147 - 2023-12-19 11:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

337415 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MicroSettings: Fix screen display status set failed problem.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-51121Change-Id:

If94cbff46177fcdc6770e9117e823eaa0e1d83ab(cherry picked from commit 57d97a1598172e0f3cb1a797f7c5c691e665f869)

#148 - 2023-12-19 11:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

337417 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev_vx1

wangxl0510@thundersoft.com
AF:MicroSettings: Fix screen display status set failed problem.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-51121Change-Id:

If94cbff46177fcdc6770e9117e823eaa0e1d83ab(cherry picked from commit 57d97a1598172e0f3cb1a797f7c5c691e665f869)

#149 - 2023-12-19 11:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

337416 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp_vx1

wangxl0510@thundersoft.com

AF:MicroSettings: Fix screen display status set failed problem.TC-RID: 1201-0206101IssueID: TS-R-DF-110715, IOVDEV-51121Change-Id:

If94cbff46177fcdc6770e9117e823eaa0e1d83ab(cherry picked from commit 57d97a1598172e0f3cb1a797f7c5c691e665f869)

#150 - 2024-01-03 18:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

341940 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Report screen status 1 second after SetScreenDisplayAction.1. Change logical to check display status;TC-RID: 1201-0206101IssueID:

TS-R-DF-110715, QMV-2787Change-Id: I781b5f171d209757d1dc6bfeaf01ccf98da792d9

#151 - 2024-01-04 09:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

342004 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev_vx1

wangxl0510@thundersoft.com

AF:MicroSettings: Report screen status 1 second after SetScreenDisplayAction.1. Change logical to check display status;TC-RID: 1201-0206101IssueID:

TS-R-DF-110715, QMV-2787Change-Id: I781b5f171d209757d1dc6bfeaf01ccf98da792d9(cherry picked from commit

01edb56754af3b373ac4f28bc28d98f1a5901236)

#152 - 2024-01-04 09:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

342005 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
AF:MicroSettings: Report screen status 1 second after SetScreenDisplayAction.1. Change logical to check display status;TC-RID: 1201-0206101IssueID:

TS-R-DF-110715, QMV-2787Change-Id: I781b5f171d209757d1dc6bfeaf01ccf98da792d9(cherry picked from commit

01edb56754af3b373ac4f28bc28d98f1a5901236)

#153 - 2024-01-04 09:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

342007 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp_vx1

wangxl0510@thundersoft.com

AF:MicroSettings: Report screen status 1 second after SetScreenDisplayAction.1. Change logical to check display status;TC-RID: 1201-0206101IssueID:

TS-R-DF-110715, QMV-2787Change-Id: I781b5f171d209757d1dc6bfeaf01ccf98da792d9(cherry picked from commit

01edb56754af3b373ac4f28bc28d98f1a5901236)(cherry picked from commit a446d16eb9cb9ead36d5e5b542be329e6056b3f1)

#154 - 2024-02-01 14:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

345915 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: ThreadPoolExecutor optimize and fix ap connect lock problem.1. Add log for ThreadPoolExecutor;2. Modify ExecutorService.submit to

ExecutorService.execute;3. Fix ap connect lock problem;TC-RID: 1201-0206101IssueID: TS-R-DF-110715, QMV-3638Change-Id:

I1bb5c9a376843b770c7d6487d9e48f593bf17a0f

#155 - 2024-02-02 18:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

350525 general/platform/vendor/thundercom

m/apps/VehicleControl

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:MicroSettings: Check network connect status by PING.1. Check network connect status by PING;TC-RID: 1201-0206101IssueID:

TS-R-DF-110715Change-Id: I9d4135fca609b17434d9e1acf7c150498a5c2275
